7 Replies Latest reply on Oct 22, 2013 10:45 PM by Brian Wallis

    WELD-001408 Unsatisfied dependencies for type [EntityManager]

    Brian Wallis Master

      I'm trying to get a simple example (cut down from my real app) using JBPM 6.0.0.CR2 running in JBoss EAP 6.1. I cannot get it to deploy, possibly due to not being able to get a good idea about what dependencies I require. (I've attached the whole project source)

       

      The error during deployment is as follows

       

      12:00:19,617 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-5) MSC000001: Failed to start service jboss.deployment.unit."simpleflow.war".WeldStartService: org.jboss.msc.service.StartException in service jboss.deployment.unit."simpleflow.war".WeldStartService: Failed to start service
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1767) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_17]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_17]
        at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_17]
      Caused by: org.jboss.weld.exceptions.DeploymentException: WELD-001408 Unsatisfied dependencies for type [EntityManager] with qualifiers [@Default] at injection point [[field] @Inject private org.jbpm.shared.services.impl.JbpmServicesPersistenceManagerImpl.em]
        at org.jboss.weld.bootstrap.Validator.validateInjectionPoint(Validator.java:311)
        at org.jboss.weld.bootstrap.Validator.validateInjectionPoint(Validator.java:280)
        at org.jboss.weld.bootstrap.Validator.validateBean(Validator.java:143)
        at org.jboss.weld.bootstrap.Validator.validateRIBean(Validator.java:163)
        at org.jboss.weld.bootstrap.Validator.validateBeans(Validator.java:382)
        at org.jboss.weld.bootstrap.Validator.validateDeployment(Validator.java:367)
        at org.jboss.weld.bootstrap.WeldBootstrap.validateBeans(WeldBootstrap.java:379)
        at org.jboss.as.weld.WeldStartService.start(WeldStartService.java:64)
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
        ... 3 more
      

       

      I've guessed at what the dependencies should be (based on reading the poms from the examples and what classes I need). Ditto for the persistence.xml file (but if it is removed I still get the error so I don't think it is contributing to the error).

       

      The jbpm dependencies used are as shown below. If I remove the dependency on the jbpm-runtime-manager then the error goes away. My actual code is mostly commented out and I don't think contributes to the error either. It is just trying to deploy a war that includes jbpm-runtime-manager that causes the problem.

       

              <dependency>
                  <groupId>org.jbpm</groupId>
                  <artifactId>jbpm-bpmn2</artifactId>
              </dependency>
              <dependency>
                  <groupId>org.jbpm</groupId>
                  <artifactId>jbpm-persistence-jpa</artifactId>
              </dependency>
              <dependency>
                  <groupId>org.jbpm</groupId>
                  <artifactId>jbpm-audit</artifactId>
              </dependency>
              <dependency>
                  <groupId>org.jbpm</groupId>
                  <artifactId>jbpm-runtime-manager</artifactId>
              </dependency>
              <dependency>
                  <groupId>org.kie</groupId>
                  <artifactId>kie-api</artifactId>
              </dependency>